#if !defined(AFX_DLGIMPORTHIDOCUMENT_H__91BE11E1_FDD0_48BC_B3B5_040195A20456__INCLUDED_)
#define AFX_DLGIMPORTHIDOCUMENT_H__91BE11E1_FDD0_48BC_B3B5_040195A20456__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgImportHidocument.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ListCtrlHidocument.h"	// For CFCListCtrlHidocument.
#include "ProjectCopy.h"		// For FCProjectCopy.
#include "StcBorder.h"			// For CFCStcBorder.
#include "StcCheck.h"			// CFCStcCheck.
#include "DialogBase.h"		// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDialogBase

class CFCWndHistoryTree;

/////////////////////////////////////////////////////////////////////////////
// CFCDlgImportHidocument _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgImportHidocument : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCDlgImportHidocument (CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
public:
	virtual WString	GetProjectPath () const;
	virtual void	GetDocumentId (longSet& stDocId) const;

protected:
	virtual void	UpdateControls ();
	virtual void	UpdateActivate ();

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
protected:
	FCProjectCopy		m_projectCopy;
	CFCWndHistoryTree*	m_pWndHTree;

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgImportHidocument)
	enum { IDD = IDD_DLG_IMPORT_HIDOCUMENT };
	CFCStcCheck	m_stcChkLogCommandUserId;
	CFCStcBorder	m_stcBorder1;
	CFCStcBorder	m_stcBorder2;
	CFCStcBorder	m_stcBorder3;
	CFCListCtrlHidocument	m_lsvHidocument;
	//}}AFX_DATA

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgImportHidocument)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgImportHidocument)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnIhiRdoHtreeProjectView();
	afx_msg void OnIhiRdoHtreeTreeView();
	afx_msg void OnIhiRdoHtreeBranchView();
	afx_msg void OnIhiRdoHtreeFontSmall();
	afx_msg void OnIhiRdoHtreeFontMedium();
	afx_msg void OnIhiRdoHtreeFontLarge();
	afx_msg void OnIhiBtnOpenProject();
	afx_msg void OnIhiBtnLoadProject();
	afx_msg void OnIhiBtnHtreeZoomin();
	afx_msg void OnIhiBtnHtreeZoomout();
	afx_msg void OnIhiBtnListInOne();
	afx_msg void OnIhiBtnListInLower();
	afx_msg void OnIhiBtnListInAll();
	afx_msg void OnIhiBtnListOutOne();
	afx_msg void OnIhiBtnListOutAll();
	//}}AFX_MSG
	afx_msg LRESULT OnUserWhtViewModeChanged (WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserWhtSelchanged (WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserLchDocSelchanged (WPARAM wParam = 0, LPARAM lParam = 0);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGIMPORTHIDOCUMENT_H__91BE11E1_FDD0_48BC_B3B5_040195A20456__INCLUDED_)
